package org.vendor.tftp.common;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.IOException;
import java.io.InterruptedIOException;
import java.net.DatagramPacket;
import java.net.SocketException;
import org.apache.commons.net.tftp.TFTP;
import org.apache.commons.net.tftp.TFTPPacket;
import org.vendor.tftp.common.DataPacket;

public class TFTPCommon extends TFTP {
  public static final int DATAGRAM_PACKET_LENGHT = 1472;
  
  private DatagramPacket tftpReceiveDatagram = new DatagramPacket(new byte[1472], 1472);
  
  public DataPacket receiveDataPacket() throws IOException, InterruptedIOException, SocketException {
    this._socket_.receive(this.tftpReceiveDatagram);
    return new DataPacket(this.tftpReceiveDatagram);
  }
  
  public void sendDataPacket(DatagramPacket datagramPacket) throws IOException {
    this._socket_.send(datagramPacket);
  }
  
  public void sendTftpPacket(TFTPPacket packet, DatagramPacket dategramPacket) throws IOException {
    trace(">", packet);
    this._socket_.send(dategramPacket);
  }
}
